class WorkCategoryModel {
  final String id;
  final String name;
  final String description;
  final bool isSystem;

  WorkCategoryModel({
    required this.id,
    required this.name,
    required this.description,
    required this.isSystem,
  });

  factory WorkCategoryModel.fromJson(Map<String, dynamic> json) {
    return WorkCategoryModel(
      id: json['id'] ?? '',
      name: json['name'] ?? '',
      description: json['description'] ?? '',
      isSystem: json['isSystem'] ?? false,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'description': description,
      'isSystem': isSystem,
    };
  }
}
